package util

import (
	"demo/share"
	"fmt"
	"math/big"
)

const data = "66"

var charArrays = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"

func RandomArrays(charCount, hex int) string {
	result := ""
	for i := 0; i < charCount; i++ {
		randomInt := share.RandomInt(big.NewInt(0), big.NewInt(int64(hex))).Int64()
		result += fmt.Sprint(string(charArrays[randomInt]))
	}
	return result
}
